
tasks:
  - name: initialize
    before: |

      # ------------------------------------
      # Install the Suborbital CLI
      # ------------------------------------
      brew tap suborbital/subo
      brew install subo

      go mod tidy

      git clone https://github.com/suborbital/sat.git
      cd sat
      make sat
      sudo cp .bin/sat /usr/local/bin
      cd .. 
      rm -rf sat

ports:
  - port: 8080
    visibility: public
  - port: 3000
    visibility: public


vscode:
  extensions:
    - pkief.material-icon-theme
    - golang.go


